Skip to content

Update a note

Request

Update the text of an existing note.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

Bodyapplication/jsonrequired
notestringrequired
Example:"Updated note content."
PUT
/leads/api/notes/{uuid}
curl -i -X PUT \
  'https://leadgen.grinfi.io/leads/api/notes/{uuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "note": "Updated note content."
  }'

Responses

Updated note.

Bodyapplication/json
uuidstring
team_idinteger
user_idinteger
objectstring
Enum:"lead""company"
object_uuidstring
notestring
Example:"Follow up after demo next week."
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "team_id": 0, "user_id": 0, "object": "lead", "object_uuid": "string", "note": "Follow up after demo next week.", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }